org.keycloak.saml.processing.core.util

## Class JAXPValidationUtil

- java.lang.Object
- - org.keycloak.saml.processing.core.util.JAXPValidationUtil

-     public class JAXPValidationUtil
      extends Object

  Utility class associated with JAXP Validation
  Since:
    Jun 30, 2011
  Author:
    Anil.Saldhana@redhat.com

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static SchemaFactory` | `schemaFactory`
    `protected static Validator` | `validator`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JAXPValidationUtil()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `checkSchemaValidation(Node samlDocument)` Based on system property "picketlink.schema.validate" set to "true", do schema validation
    `static void` | `validate(InputStream stream)`
    `static void` | `validate(String str)`
    `static Validator` | `validator()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### validator

          protected static Validator validator

    - #### schemaFactory

          protected static SchemaFactory schemaFactory

  - ### Constructor Detail

    - #### JAXPValidationUtil

          public JAXPValidationUtil()

  - ### Method Detail

    - #### validate

          public static void validate(String str)
                               throws SAXException,
                                      IOException

      Throws:
        `SAXException`
        `IOException`

    - #### validate

          public static void validate(InputStream stream)
                               throws SAXException,
                                      IOException

      Throws:
        `SAXException`
        `IOException`

    - #### checkSchemaValidation

          public static void checkSchemaValidation(Node samlDocument)
                                            throws ProcessingException

      Based on system property "picketlink.schema.validate" set to "true", do schema validation
      Parameters:
        `samlDocument` -
      Throws:
        `ProcessingException`

    - #### validator

          public static Validator validator()
                                     throws SAXException,
                                            IOException

      Throws:
        `SAXException`
        `IOException`

Copyright © 2016 JBoss by Red Hat. All rights reserved.